org.apache.http.client.entity

## Class GzipCompressingEntity

- java.lang.Object
- - org.apache.http.entity.HttpEntityWrapper
  - - org.apache.http.client.entity.GzipCompressingEntity

- All Implemented Interfaces:
    org.apache.http.HttpEntity

      public class GzipCompressingEntity
      extends org.apache.http.entity.HttpEntityWrapper

  Wrapping entity that compresses content when `writing`.
  Since:
    4.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.entity.HttpEntityWrapper

      `wrappedEntity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GzipCompressingEntity(org.apache.http.HttpEntity entity)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputStream` | `getContent()`
    `org.apache.http.Header` | `getContentEncoding()`
    `long` | `getContentLength()`
    `boolean` | `isChunked()`
    `void` | `writeTo(OutputStream outStream)`

    - ### Methods inherited from class org.apache.http.entity.HttpEntityWrapper

      `consumeContent, getContentType, isRepeatable, isStreaming`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GzipCompressingEntity

          public GzipCompressingEntity(org.apache.http.HttpEntity entity)

  - ### Method Detail

    - #### getContentEncoding

          public org.apache.http.Header getContentEncoding()

      Specified by:
        `getContentEncoding` in interface `org.apache.http.HttpEntity`
      Overrides:
        `getContentEncoding` in class `org.apache.http.entity.HttpEntityWrapper`

    - #### getContentLength

          public long getContentLength()

      Specified by:
        `getContentLength` in interface `org.apache.http.HttpEntity`
      Overrides:
        `getContentLength` in class `org.apache.http.entity.HttpEntityWrapper`

    - #### isChunked

          public boolean isChunked()

      Specified by:
        `isChunked` in interface `org.apache.http.HttpEntity`
      Overrides:
        `isChunked` in class `org.apache.http.entity.HttpEntityWrapper`

    - #### getContent

          public InputStream getContent()
                                 throws IOException

      Specified by:
        `getContent` in interface `org.apache.http.HttpEntity`
      Overrides:
        `getContent` in class `org.apache.http.entity.HttpEntityWrapper`
      Throws:
        `IOException`

    - #### writeTo

          public void writeTo(OutputStream outStream)
                       throws IOException

      Specified by:
        `writeTo` in interface `org.apache.http.HttpEntity`
      Overrides:
        `writeTo` in class `org.apache.http.entity.HttpEntityWrapper`
      Throws:
        `IOException`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.